package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.response.ApplyFriend
import com.kaixed.kchat.repository.AddFriendRepo

/**
 * @Author: kaixed
 * @Date: 2024/10/15 17:29
 * @Description: TODO
 */
class ApplyFriendViewModel : ViewModel() {
    private var addFriendRepo: AddFriendRepo = AddFriendRepo()

    fun addFriends(contactId: String, message: String): MutableLiveData<ApplyFriend>? {
        return addFriendRepo.addFriend(contactId,message)
    }
}